/* check multi-load here (use header file name) */
#ifdef  __CHANNEL_H__
/* use more detailed information to check the multi-load. */
#ifndef __TURBO_CODE_CHANNEL_H__
#error This header file conflicts with another CHANNEL.H file.
#endif
#else
#define __CHANNEL_H__
#define __TURBO_CODE_CHANNEL_H__

/* load this header file. */
#include "config.h"

REAL ch_setEbN0 (REAL EbN0, REAL coderate); /* Eb/N0 in dB */
void ch_setSigma (REAL s);
REAL ch_getSigma ();

void ch_BIT2AWGN (BIT *y, REAL *r, UINT32 len);
void ch_AWGN2BSC (REAL *r, BIT *y, UINT32 len);

#endif
