/* check multi-load here (use header file name) */
#ifdef  __RANDOM_H__
/* use more detailed information to check the multi-load. */
#ifndef __TURBO_CODE_RANDOM_H__
#error This header file conflicts with another RANDOM.H file.
#endif
#else
#define __RANDOM_H__
#define __TURBO_CODE_RANDOM_H__

/* load this header file. */
#include <assert.h>
#include "config.h"

#define IA      16807
#define IM      2147483647
#define NTAB    32

void rand_setseed (INT32 seed);
INT32 rand_getseed ();

REAL randu ();
REAL randn ();

#define SET_NEXT_LC(x,a,p,q,r) {            \
    INT32 x##k;                             \
    assert(p == (a) * (q) + (r));           \
    x##k = x / (q);                         \
    x = (a) * (x - x##k*(q)) - (r) * x##k;  \
    if (x < 0) x += p;                      \
    assert(x > 0);                          \
    assert(x < p);                          \
}

#endif
