/* check multi-load here (use header file name) */
#ifdef  __TURBO_H__
/* use more detailed information to check the multi-load. */
#ifndef __TURBO_CODE_TURBO_H__
#error This header file conflicts with another TURBO.H file.
#endif
#else
#define __TURBO_H__
#define __TURBO_CODE_TURBO_H__

/* load this header file. */
#include "config.h"

void turbo_init (INT32 base, INT32 seed, INT32 prim);
void turbo_encode (BIT *u, BIT **x, UINT32 len, UINT32 trunc_len);
void turbo_decode (REAL **y, BIT *u, UINT16 iters,
                   REAL sigma, UINT32 len, UINT32 trunc_len);
void turbo_decode_sub (REAL **y, REAL *pi, REAL *LLR, UINT16 iters,
                       REAL sigma, UINT32 len, UINT32 trunc_len, int stage);

#endif
